import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import { join } from 'path';

async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(AppModule, {
    transport: Transport.GRPC,
    options: {
      package: 'hearings_service',
      protoPath: join(__dirname, '../proto/hearings_service.proto'),
      url: '0.0.0.0:5005',
    },
  });
  await app.listen();
  console.log('hearings-service running on gRPC :5005');
}
bootstrap();
